<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tofly.scada.mapper.UsertaskWMapper">

    <resultMap id="BaseResultMap" type="com.tofly.scada.entity.UsertaskW">
            <id property="id" column="ID" jdbcType="DECIMAL"/>
            <result property="tknm" column="TKNM" jdbcType="VARCHAR"/>
            <result property="tkty" column="TKTY" jdbcType="VARCHAR"/>
            <result property="tksmty" column="TKSMTY" jdbcType="VARCHAR"/>
            <result property="tlevel" column="TLEVEL" jdbcType="VARCHAR"/>
            <result property="tableName" column="TABLE_NAME" jdbcType="VARCHAR"/>
            <result property="tableId" column="TABLE_ID" jdbcType="DECIMAL"/>
            <result property="routeIp" column="ROUTE_IP" jdbcType="VARCHAR"/>
            <result property="ishandle" column="ISHANDLE" jdbcType="VARCHAR"/>
            <result property="handleTime" column="HANDLE_TIME" jdbcType="TIMESTAMP"/>
            <result property="handleUser" column="HANDLE_USER" jdbcType="DECIMAL"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="createUser" column="CREATE_USER" jdbcType="DECIMAL"/>
            <result property="startTime" column="START_TIME" jdbcType="TIMESTAMP"/>
            <result property="endTime" column="END_TIME" jdbcType="TIMESTAMP"/>
            <result property="routeAppIp" column="ROUTE_APP_IP" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        ID,TKNM,TKTY,
        TKSMTY,TLEVEL,TABLE_NAME,
        TABLE_ID,ROUTE_IP,ISHANDLE,
        HANDLE_TIME,HANDLE_USER,CREATE_TIME,
        CREATE_USER,START_TIME,END_TIME,
        ROUTE_APP_IP
    </sql>
</mapper>
